package PhotoPub::Ages;
require Exporter;
@ISA = qw(Exporter);
@EXPORT_OK = qw(&initage &updateage &updateagefromfiles &getage &agefromfile);

use PhotoPub::Global qw(&register_init $error);
use Carp;

my @ages;

&register_init('startup',sub {
		 @ages=();
	       });

sub initage {
  unshift(@ages,0);
}

sub updateage {
  my ($newage)=@_;
  if (!defined $newage) { carp("Undefined newage"); }
  if (!defined $ages[0]) 
    { carp("tried to update age while none was being tracked"); }
  $ages[0]=$newage if $newage>$ages[0];
}

sub updateagefromfiles {
  foreach (@_) {
    updateage(agefromfile($_));
  }
}

sub agefromfile {
  my ($file)=@_;
  if(!defined $file) {
     &croak('Undefined file passed to &agefromfile');
  }
  my @details=stat($file) or &$error(type => 'config',
				     message => "Couldn't stat $file");
  return $details[9];
}

sub getage {
  return (shift @ages);
}

1;
